public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/trove/
Date: Wed, 24 Feb 2016 14:17:00 +0000 (UTC)	[thread overview]
Message-ID: <1456322610.ec8a19bb46913cac3724fabaf481954a6b1a81d9.monsieurp@gentoo> (raw)

commit:     ec8a19bb46913cac3724fabaf481954a6b1a81d9
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 14:01:24 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 14:03:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec8a19bb

dev-java/trove: Switch to java-pkg-simple. Fixes bug 575552.

Package-Manager: portage-2.2.26

 dev-java/trove/trove-3.0.2-r2.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-java/trove/trove-3.0.2-r2.ebuild b/dev-java/trove/trove-3.0.2-r2.ebuild
new file mode 100644
index 0000000..821035c
--- /dev/null
+++ b/dev-java/trove/trove-3.0.2-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="GNU Trove: High performance collections for Java"
+SRC_URI="mirror://sourceforge/trove4j/${P}.tar.gz"
+HOMEPAGE="http://trove4j.sourceforge.net"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+IUSE=""
+
+RDEPEND="
+	>=virtual/jre-1.6"
+
+DEPEND="
+	app-arch/unzip
+	>=virtual/jdk-1.6"
+
+S="${WORKDIR}/${PV}"
+
+RESTRICT="test"
+
+JAVA_SRC_DIR="src"
+
+java_prepare() {
+	unzip -d "${P}" "${P}-src.jar" || die
+	cp -r "${P}"/* ./src || die
+	rm -rf "${P}" || die
+	find ./src \
+		-type f \
+		! -name "*.java" \
+		-exec rm -v {} \; || die
+	java-pkg_clean
+}


             reply	other threads:[~2016-02-24 14:17 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-24 14:17 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-02-16 10:27 [gentoo-commits] repo/gentoo:master commit in: dev-java/trove/ Patrice Clement
2018-02-16 10:27 Patrice Clement
2018-03-01  8:46 Michał Górny
2018-10-18 21:40 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456322610.ec8a19bb46913cac3724fabaf481954a6b1a81d9.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox